
import random
import string

def generate_random_string(length):
    if not isinstance(length, int) or length < 1:
        raise ValueError("Length must be a positive integer")

    characters = string.ascii_letters + string.digits
    return ''.join(random.choice(characters) for i in range(length))



